using System.Text;
using Microsoft.AspNetCore.Mvc;
using System.Linq;
using Microsoft.AspNetCore.Http;
using System;

namespace lab10_serverside.Controllers
{
    public class Task2Controller : Controller {

	static string[] AllowedStyles={"red", "green", "blue"};
	
	public IActionResult Index() {
	    string style;

	    if(Request.Query.ContainsKey("style") && AllowedStyles.Contains(Request.Query["style"][0])) {
		style = Request.Query["style"][0];
		CookieOptions co = new CookieOptions();
		co.Expires = DateTimeOffset.Now.AddMonths(12);
		Response.Cookies.Append("style", style, co);
	    } else if (Request.Cookies.ContainsKey("style") && AllowedStyles.Contains(Request.Cookies["style"])) {
		style = Request.Cookies["style"];
	    } else {
		style = AllowedStyles[0];
	    }

	    
	    StringBuilder sb = new StringBuilder();
	    sb.AppendLine("<!DOCTYPE html><html><head><title>Color switcher</title>"+
			  "<link rel=\"stylesheet\" type=\"text/css\" href=\"/css/"+style+".css\"></head>");
	    sb.AppendLine("<body><form action=\"\" method=\"get\"><select name=\"style\">");
	    foreach(var style2 in AllowedStyles) {
		var selected = style == style2 ? " selected" : "";
		sb.AppendLine($"<option value=\"{style2}\"{selected}>{style2}</option>");
	    }
	    sb.AppendLine("</select><input type=\"submit\"></form><h1>Text</h1><p>");
	    sb.AppendLine("I like squirrels</p></body></html>");

	    return Content(sb.ToString(), "text/html");
	}
    }
}
